Bug 17024 - viewlog.pl is vulnerable to XSS attacks
Summary: viewlog.pl is vulnerable to XSS attacks
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 14568
  Show dependency treegraph
 
Reported: 2016-08-02 14:09 UTC by Jonathan Druart
Modified: 2019-06-27 09:24 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17024: Fix XSS in tools/viewlog.pl (7.89 KB, patch)
2016-08-02 14:29 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17024: Fix XSS in tools/viewlog.pl (7.95 KB, patch)
2016-08-03 21:05 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 17024: Fix XSS in tools/viewlog.pl (8.02 KB, patch)
2016-08-03 21:24 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-08-02 14:09:18 UTC
Reported by Dionach.
Comment 1 Jonathan Druart 2016-08-02 14:29:41 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2016-08-03 21:05:38 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-08-03 21:24:35 UTC
Created attachment 53973 [details] [review]
[PASSED QA] Bug 17024: Fix XSS in tools/viewlog.pl

Test plan:
    Hit /tools/viewlog.pl?do_it=1&modules=CATALOGUING&action=MODIFY&object=<script>alert("XSS")</script>

=> Without this patch you will see the alert
=> With this patch, no more alert

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Brendan Gallagher 2016-08-04 18:17:21 UTC
Pushed to Master - Should be in the November 2016 release.  Thanks!
Comment 5 Frédéric Demians 2016-08-05 06:08:59 UTC
Pushed in 16.05. Will be in 16.05.03.
Comment 6 Chris Cormack 2016-08-08 07:02:17 UTC
Doesn't apply to 3.20.x
Comment 7 Julian Maurice 2016-08-17 12:39:39 UTC
Patches pushed to 3.22.x, will be in 3.22.10